/*html, body {
    font-size: 14px;
    font-family: "Sunflower", sans-serif;
    color: #222222;
    margin: 0px;
    word-break: keep-all;
    background: #ADC3E5;
    -ms-overflow-style: none;
}*/

.redLine {
    border: solid 1px red;
}


.loadingSpinner {
    border: 12px solid silver;
    border-top: 12px solid #337AB7;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: loadingSpin 700ms linear infinite;
    top: 40%;
    left: 49.9%;
    position: absolute;
}

.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

pre {
    overflow: auto;
    white-space: pre-wrap; /* pre tag³»¿¡ word wrap */
    font-size: 15px;
}

@keyframes loadingSpin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.noData {
    height: 100px;
    font-size: 20px;
    border: solid 1px #444444;
    margin-top: 5px;
}

.do-hyeon-regular {
    font-family: "Sunflower", sans-serif;
    font-weight: 300;
    font-style: normal;
    text-shadow: 5px 5px 5px black;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

div {
    box-sizing: border-box
}

img {
    vertical-align: middle
}

a {
    text-decoration: none;
}

.scrollX {
    /* °¡·Î ½ºÅ©·ÑÀ» À§ÇÑ ±âº» ¼³Á¤ */
    display: flex;
    overflow-x: auto;
    gap: 10px; /* ¿ä¼Òµé »çÀÌÀÇ °£°Ý */
    /* À¥Å¶ ±â¹Ý ºê¶ó¿ìÀú (Chrome, Safari, Edge) ½ºÅ©·Ñ ¹Ù ¼û±â±â */
    -ms-overflow-style: none; /* Internet Explorer ¹× Edge */
    scrollbar-width: none; /* Firefox */
}

    /* À¥Å¶ ±â¹Ý ºê¶ó¿ìÀú ½ºÅ©·Ñ ¹Ù ¼û±â±â */
    .scrollX::-webkit-scrollbar {
        display: none;
    }

.scrollbar {
    overflow-x: hidden;
    overflow-y: auto;
}

    .scrollbar::-webkit-scrollbar {
        width: 10px;
    }

    .scrollbar::-webkit-scrollbar-thumb {
        background-color: rgba(155,155,155,1);
        border-radius: 5px;
    }

    .scrollbar::-webkit-scrollbar-track {
        background-color: rgba(85,85,85,0.33);
    }

.itemFlex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.itemFlexRow {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; /*Ãà±âÁØ columnÀÌ¸é ¼¼·Î·Î Á¤·ÄµÊ*/
}

a:hover {
}

.transparent {
    background-color: transparent;
    color: #222222;
    border: none;
}

/*±×¸®µå*/
.gridColSpan2 {
    grid-column: 1 / span 2;
}

.gridColSpan3 {
    grid-column: 1 / span 3;
}

/*¿ÀÅä ±×¸®µå*/
.autoGrid {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20%, auto));
    grid-template-rows: repeat(auto-fit, minmax(10%, auto));
    gap: 5px;
}

    .autoGrid .itemFlex {
    }

    .autoGrid.list > div:first-child {
        justify-content: left;
    }

    .autoGrid.list > div:last-child {
        justify-content: right;
    }

    .autoGrid.left {
        grid-template-columns: 1fr 1fr;
        gap: 0px;
    }

        .autoGrid.left > div:nth-child(even) {
            /*border-right:solid 1px #cccccc;*/
        }

        .autoGrid.left > div {
            justify-content: left;
            border: solid 1px #cccccc;
            padding: 5px;
            margin-top: -1px;
            margin-left: -1px;
        }

            .autoGrid.left > div > i {
                margin-right: 5px;
            }

        /*¸ðµçÄ­ left*/
        .autoGrid.left > .badge.position-absolute.top-0 {
            margin: -7px 0px 0px 0px;
        }

    .autoGrid .rowNum {
        font-size: 0.8rem;
    }

/*grid*/
.gridList {
    width: 100%;
    overflow: auto;
    background: white;
    padding: 0px;
    border-radius: 10px;
}

    .gridList .drGrid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(10%, auto));
        grid-template-rows: repeat(auto-fit, minmax(10%, auto));
        gap: 0px;
    }

        .gridList .drGrid > div {
            padding: 5px;
            margin: 0px;
            border: solid 1px #cccccc;
            margin-top: -1px;
            margin-left: -1px;
            background: white;
        }

        /*Çì´õ »ó´Ü¿¡ °íÁ¤ÇÏ±â*/
        .gridList .drGrid.head {
            position: sticky;
            top: 0px;
            z-index: 2;
        }

            .gridList .drGrid.head > div, .gridList .drGrid.head > div.rowName {
                color: white;
                background: #4a90e2;
            }

        /*½Ã°£Àº ¿ÞÂÊ¿¡ °íÁ¤ÇÏ±â*/
        .gridList .drGrid > div.rowName {
            position: sticky;
            left: 0px;
            background: #e5eff9;
            z-index: 1;
        }


/*¹öÆ° ±×¸®µå*/
.btnGrid {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10%, auto));
    grid-template-rows: minmax(40px);
    gap: 5px;
}

    .btnGrid .itemFlex {
    }

/*¹Ú½º»ö»ó*/
.boxOrange {
    background-color: #fd771d;
    border: 1px solid #da5800;
    color: white;
    border-radius: 5px;
}

.boxGreen {
    background-color: #5bc234;
    border: 1px solid #429e21;
    color: white;
    border-radius: 5px;
}

.boxYellow {
    background-color: #ffb700;
    border: 1px solid #c69c3a;
    color: black;
    border-radius: 5px;
}

.boxBlue {
    background-color: #448ccb;
    border: 1px solid #2b6393;
    color: white;
    border-radius: 5px;
}

.boxDarkBlue {
    background-color: #2a6197;
    border: solid 1px #4b9be9;
    color: white;
    border-radius: 5px;
}

.boxGray {
    background-color: #fbfbfb;
    border: 1px solid #bebebe;
    cursor: pointer;
}

.boxRed {
    border-radius: 5px;
    border: 1px solid #c14232;
    background-color: #dd4b39;
    color: #ffffff;
}

.boxEmerald {
    border-radius: 5px;
    border: 1px solid #218b6e;
    background-color: #25ae88;
    color: #ffffff;
}

.boxContent {
    background-color: white;
    border: 1px solid #cccccc;
    border-radius: 10px;
    box-shadow: 0px 2px 2px #333;
    width: 100%;
    padding: 10px;
}

/*¹öÆ°*/
.btnBase {
    display: inline-block;
    text-align: center;
    padding-top: 2px;
    cursor: pointer;
    width: 80px;
    height: 22px;
}

.btnBlack {
    display: inline-block;
    background: linear-gradient(135deg, #171622 50%, #403f4d 50%);
    text-align: center;
    border-radius: 2px;
    padding-top: 1px;
    cursor: pointer;
    color: white;
    width: 80px;
    height: 22px;
    border: solid 1px #403f4d
}

.btnRed {
    display: inline-block;
    background: linear-gradient(135deg, #5a2b12 50%, #890f0b 50%);
    text-align: center;
    border-radius: 2px;
    padding-top: 1px;
    cursor: pointer;
    color: white;
    width: 80px;
    height: 22px;
    border: solid 1px #890f0b
}

.btnBlue {
    display: inline-block;
    background: linear-gradient(135deg, #0a2164 50%, #045e8d 50%);
    text-align: center;
    border-radius: 2px;
    padding-top: 1px;
    cursor: pointer;
    color: white;
    width: 80px;
    height: 22px;
    border: solid 1px #045e8d
}

.btnGreen {
    display: inline-block;
    background: linear-gradient(135deg, #1f6b2d 50%, #2e950e 50%);
    text-align: center;
    border-radius: 2px;
    padding-top: 1px;
    cursor: pointer;
    color: white;
    width: 80px;
    height: 22px;
    border: solid 1px #2e950e
}

.btnYellow {
    display: inline-block;
    background: linear-gradient(135deg, #735c14 50%, #b66f0b 50%);
    text-align: center;
    border-radius: 2px;
    padding-top: 1px;
    cursor: pointer;
    color: white;
    width: 80px;
    height: 22px;
    border: solid 1px #b66f0b
}

.btnDelete {
    padding: 2px 5px;
    border-radius: 5px;
    color: #fe3131;
    cursor: pointer;
}

.btnComment {
    width: 150px;
    height: 50px;
    padding-top: 15px;
}

/*·¹º§ ÀÌ¹ÌÁö*/
.levelImage {
    width: 40px;
    height: 25px;
    margin-right: 10px;
}

/*¸ÞÀÎ·¹ÀÌ¾Æ¿ô*/
.mainBody {
    min-height: 900px;
    padding: 10px;
    margin-bottom: 100px;
}

.mainMenu {
    width: 100%;
    position: fixed;
    bottom: 0px;
    background: #e5eff9;
}

    .mainMenu .mainMenuGrid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(10%, auto));
        grid-template-rows: 60px;
        gap: 10px;
    }

        .mainMenu .mainMenuGrid .mainMenuBtn {
            flex-direction: column;
            color: #777777;
        }

            .mainMenu .mainMenuGrid .mainMenuBtn i {
                font-size: 15px;
            }

            .mainMenu .mainMenuGrid .mainMenuBtn a {
                color: #777777;
            }

            .mainMenu .mainMenuGrid .mainMenuBtn .name:hover,
            .mainMenu .mainMenuGrid .mainMenuBtn.on .name {
                text-shadow: 0px 0px 7px #0072a6;
            }


.mainLogo {
    color: white;
    text-shadow: 5px 5px 5px gray;
    font-size: 50px;
    text-align: center;
    cursor: pointer;
    margin-top: 5px;
}

/*¸ÅÄ¡*/
.matchTop {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 50px;
    gap: 10px;
}

    .matchTop .location {
    }

    .matchTop .search {
        font-size: 25px;
        justify-content: right;
    }

/*ÅÇ¸Þ´º*/
.tapMenu {
    font-size: 16px;
    margin-bottom: 10px;
}

/*½½¶óÀÌµå¸Þ´º*/
.slideMenu {
    margin-bottom: 10px;
}

    .slideMenu .slideMenuBtn {
        background: #f0f8ff;
        /*border: solid 1px #cccccc;*/
        border-radius: 20px;
        padding: 5px 10px;
        flex-shrink: 0; /* ¾ÆÀÌÅÛÀÌ ÁÙ¾îµéÁö ¾Êµµ·Ï ¼³Á¤ */
    }

        .slideMenu .slideMenuBtn.active {
            color: white;
            background: #4a90e2;
            /*border: solid 1px #0072a6;*/
        }

        .slideMenu .slideMenuBtn i {
            display: inline;
        }

.plusMenu {
    position: fixed;
    bottom: 100px;
    right: 20px;
}

/*°ÔÀÓ*/
.gameList {
}

    .gameList > .dr {
        display: grid;
        grid-template-columns: 1.5fr 1fr;
        grid-template-rows: minmax(25px, auto);
        gap: 2px;
        background: white;
        padding: 10px;
        border-radius: 10px;
    }

        .gameList > .dr > .itemFlex {
            color: #777777;
            border: solid 0px red;
            justify-content: left;
            padding: 2px;
        }

            .gameList > .dr > .itemFlex i {
                margin-right: 5px;
            }

                .gameList > .dr > .itemFlex i:first-child {
                    color: #4a90e2;
                }

            .gameList > .dr > .itemFlex .badge {
                margin-right: 2px;
            }

            .gameList > .dr > .itemFlex.btnBox {
                justify-content: right;
            }

            .gameList > .dr > .itemFlex .btn {
                margin-left: 5px;
                padding: 1px 5px;
            }

        .gameList > .dr > .content {
            border: solid 0px red;
        }

        .gameList > .dr .title {
            font-size: 16px;
            font-weight: bold;
            color: #222222;
        }

/*Âü°¡*/
.attendBox {
    width: 100%;
    margin-top: 30px;
}

    .attendBox .attendList {
    }

        .attendBox .attendList > .dr {
            display: grid;
            grid-template-columns: 0.5fr 2fr 1fr 1.3fr 1.2fr 0.8fr;
            grid-template-rows: minmax(25px, auto);
            gap: 2px;
            font-size: 12px;
            padding: 1px 0px;
            border-radius: 10px;
            margin: 2px 0px;
        }

            .attendBox .attendList > .dr > .itemFlex {
                border: solid 0px red;
            }

                .attendBox .attendList > .dr > .itemFlex.nickName {
                    justify-content: left;
                }

                .attendBox .attendList > .dr > .itemFlex.date {
                }

.attendColorOK {
    background: #93daff;
}

.attendColorCancel {
    background: #ffb6c1;
}

.attendColorWait {
    background: #f4f6f7;
}

/*´ñ±Û*/
.replyBox {
    width: 100%;
    margin-top: 30px;
}

    .replyBox .replyList {
    }

        .replyBox .replyList > .dr {
            display: grid;
            grid-template-columns: 1fr;
            grid-template-rows: minmax(25px, auto);
            gap: 2px;
            padding: 1px 0px;
            border-radius: 10px;
            margin-bottom: 10px;
        }

        .replyBox .replyList > .dr {
        }

            .replyBox .replyList > .dr > .itemFlex {
                border: solid 0px red;
            }

                .replyBox .replyList > .dr > .itemFlex.nickName {
                    justify-content: left;
                    font-size: 15px;
                    font-weight: bold;
                }

                .replyBox .replyList > .dr > .itemFlex .date {
                    color: #999999;
                    margin-left: 10px;
                    font-size: 12px;
                    font-weight: normal;
                }

                .replyBox .replyList > .dr > .itemFlex.comment {
                    /*grid-column: 1 / span 2;*/
                    justify-content: left;
                    padding-left: 20px;
                }

    .replyBox .replyWrite {
        display: grid;
        grid-template-columns: auto 50px;
        grid-template-rows: minmax(40px, auto);
        gap: 10px;
        border: solid 1px #ADC3E5;
        border-radius: 10px;
        padding: 5px;
        margin: 20px 0px;
    }

        .replyBox .replyWrite .writeBtn {
            color: white;
            background: #4a90e2;
            border-radius: 10px;
        }

/*hover Áö¿øµÇ´Â °÷¿¡¼­¸¸ Àû¿ë*/
@media (hover: hover) and (pointer: fine) {
    .gameList .drGame .selectZone:hover, .euroScreen .detailGame .dr .selectZone:hover {
        background: #e6360d;
        cursor: pointer;
        border-radius: 5px;
    }
}


/*º¸Á¤*/
.rz-dropdown-item {
    color: black;
    font-family: "Nanum Gothic", sans-serif;
}

.rz-dropdown-panel {
}

.btn-primary {
    background: #4a90e2;
}

.dropdown-toggle {
    border-radius: 20px;
    background-image: url();
}

.form-select {
    background-color: transparent;
    color: #222222;
    border: none;
}

.text-bg-purple {
    background: #602ed3;
}

.fa-person {
    color: #4a90e2;
}

i.fa-person-dress {
    color: #d62548;
}
